#!/usr/bin/env bash

config="./config.yaml"
release="build"
cmshome="/cvmfs/cms.cern.ch/slc6_amd64_gcc530/cms/cmssw/CMSSW_9_2_8/src/"
output_dir="."

echo "starting run. Current time: " $(date)
echo "running @ " $(pwd) "in " $(hostname)
echo "Initial Directory Contents:"
ls -la

source /cvmfs/cms.cern.ch/cmsset_default.sh
cd $cmshome
eval `scramv1 runtime -sh`
cd -

mkdir -p $output_dir
./tracking_eff -b -c $config source-file-key=${1} output-dir=$output_dir
echo "Run Finished"
echo "Final Directory Contents:"
ls -la
